﻿using Microsoft.Practices.Prism.StoreApps;
using RadialMenuPrismTest.ViewModels;
using RadialMenuPrismTest.Views;
using System.Threading.Tasks;
using Windows.ApplicationModel.Activation;

namespace RadialMenuPrismTest
{
    sealed partial class App : MvvmAppBase
    {
        public App()
        {
            this.InitializeComponent();
        }

        protected override Task OnLaunchApplication(LaunchActivatedEventArgs args)
        {
            NavigationService.Navigate("Main", null);
            return Task.FromResult<object>(null);
        }

        protected override void OnInitialize(IActivatedEventArgs args)
        {
            ViewModelLocator.Register(typeof(MainPage).ToString(), () => new MainPageViewModel(NavigationService));
        }
    }
}
